%define original_kernel_version	2.6.8
%define kernel_version		2.6.8
%define patch_level		%nil

%define testing			0

%if %testing
%define kernel_fullversion	%kernel_version%patch_level
%else
%define kernel_fullversion	%kernel_version
%endif

# Numeric extra version scheme developed by Alexander Bokovoy:
# 0.0.X -- preX
# 0.X.0 -- rcX, testX
# 1.0.0 -- release
%define patch_level_numeric     1.0.0

Name: kernel-source-%kernel_version
Version: %patch_level_numeric
Release: alt1

Summary: Linux kernel %kernel_fullversion sources
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Source0: linux-%original_kernel_version.tar.bz2


BuildArch: noarch
BuildPreReq: kernel-build-tools

#### KERNEL DOCUMENTATION ####
%package -n kernel-doc
Version: %kernel_version%patch_level
Summary: Linux kernel %kernel_fullversion documentation
Group: Development/Kernel

%description
Kernel sources for Linux kernel %kernel_fullversion

%description -n kernel-doc
Kernel documentation for Linux kernel %kernel_fullversion

%prep
%__rm -rf linux-%original_kernel_version
%__rm -rf kernel-source-%kernel_version
%__tar -jxf %SOURCE0
%__mv linux-%original_kernel_version kernel-source-%kernel_version

%if %testing
pushd kernel-source-%kernel_version
popd
%endif

%__tar -c kernel-source-%kernel_version | bzip2 -cz > \
    kernel-source-%kernel_version.tar.bz2

%install
%__mkdir_p %kernel_srcdir
%__mkdir_p %buildroot%_defaultdocdir/kernel-doc-%kernel_version%patch_level
%__mv kernel-source-%kernel_version.tar.bz2 %kernel_srcdir

%__cp -a kernel-source-%kernel_version/Documentation/* \
    %buildroot%_defaultdocdir/kernel-doc-%kernel_version%patch_level/

%files
%kernel_src/kernel-source-%kernel_version.tar.bz2

%files -n kernel-doc
%doc %{_defaultdocdir}/kernel-doc-%kernel_version%patch_level/*

%changelog
* Tue Aug 17 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.8

* Thu Jun 17 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt1
- 2.6.7


